Loading scanner...
Processing application in /app
Processing gems...
[Notice] Detected Rails 5 application
Processing configuration...
[Notice] Escaping HTML by default
Parsing files...
/gems/gems/brakeman-4.6.1/bundle/ruby/2.6.0/gems/ruby_parser-3.13.1/lib/ruby_parser_extras.rb:761: warning: regular expression has ']' without escape: /^\["+|\"]+$/
Processing initializers...
 0/5 files processed
 1/5 files processed
 2/5 files processed
 3/5 files processed
 4/5 files processed
Processing libs...
 0/6 files processed
 1/6 files processed
 2/6 files processed
 3/6 files processed
 4/6 files processed
 5/6 files processed
Processing routes...          
Processing templates...       
 0/15 templates processed
 1/15 templates processed
 2/15 templates processed
 3/15 templates processed
 4/15 templates processed
 5/15 templates processed
 6/15 templates processed
 7/15 templates processed
 8/15 templates processed
 9/15 templates processed
 10/15 templates processed
 11/15 templates processed
 12/15 templates processed
 13/15 templates processed
 14/15 templates processed
Processing data flow in templates...
 0/15 templates processed
 1/15 templates processed
 2/15 templates processed
 3/15 templates processed
 4/15 templates processed
 5/15 templates processed
 6/15 templates processed
 7/15 templates processed
 8/15 templates processed
 9/15 templates processed
 10/15 templates processed
 11/15 templates processed
 12/15 templates processed
 13/15 templates processed
 14/15 templates processed
Processing models...          
 0/3 files processed
 1/3 files processed
 2/3 files processed
Processing controllers...     
 0/3 files processed
 1/3 files processed
 2/3 files processed
Processing data flow in controllers...
 0/3 controllers processed
 1/3 controllers processed
 2/3 controllers processed
Indexing call sites...        
Running checks in parallel...
 - CheckBasicAuth
 - CheckBasicAuthTimingAttack
 - CheckCrossSiteScripting
 - CheckContentTag
 - CheckCookieSerialization
 - CheckCreateWith
 - CheckDefaultRoutes
 - CheckDeserialize
 - CheckDetailedExceptions
 - CheckDigestDoS
 - CheckDynamicFinders
 - CheckEscapeFunction
 - CheckEvaluation
 - CheckExecute
 - CheckFileAccess
 - CheckFileDisclosure
 - CheckFilterSkipping
 - CheckForgerySetting
 - CheckHeaderDoS
 - CheckI18nXSS
 - CheckJRubyXML
 - CheckJSONEncoding
 - CheckJSONParsing
 - CheckLinkTo
 - CheckLinkToHref
 - CheckMailTo
 - CheckMassAssignment
 - CheckMimeTypeDoS
 - CheckModelAttrAccessible
 - CheckModelAttributes
 - CheckModelSerialize
 - CheckNestedAttributes
 - CheckNestedAttributesBypass
 - CheckNumberToCurrency
 - CheckPermitAttributes
 - CheckQuoteTableName
 - CheckRedirect
 - CheckRegexDoS
 - CheckRender
 - CheckRenderDoS
 - CheckRenderInline
 - CheckResponseSplitting
 - CheckRouteDoS
 - CheckSafeBufferManipulation
 - CheckSanitizeMethods
 - CheckSelectTag
 - CheckSelectVulnerability
 - CheckSend
 - CheckSendFile
 - CheckSessionManipulation
 - CheckSessionSettings
 - CheckSimpleFormat
 - CheckSingleQuotes
 - CheckSkipBeforeFilter
 - CheckSprocketsPathTraversal
 - CheckSQL
 - CheckSQLCVEs
 - CheckSSLVerify
 - CheckStripTags
 - CheckSymbolDoSCVE
 - CheckTranslateBug
 - CheckUnsafeReflection
 - CheckValidationRegex
 - CheckWithoutProtection
 - CheckXMLDoS
 - CheckYAMLParsing
Checks finished, collecting results...
Generating report...
<!DOCTYPE HTML SYSTEM>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Brakeman Report</title>
  <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/1.10.9/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript">
    function toggle(context) {
      var elem = document.getElementById(context);

      if (elem.style.display != "block")
        elem.style.display = "block";
      else
        elem.style.display = "none";

      elem.parentNode.scrollIntoView();
    }

    $(document).ready(function() {
      $('table').DataTable({
        searching: false,
        paging:    false,
        info:      false
      });
    });
  </script>
  <style>
    /* CSS style used for HTML reports */

body {
  font-family: sans-serif;
  color: #161616;
}

a {
  color: #161616;
}

p {
  font-weight: bold;
  font-size: 11pt;
  color: #2D0200;
 }

 th {
   background-color: #980905;
   border-bottom: 5px solid #530200;
   color: white;
   font-size: 11pt;
   padding: 1px 8px 1px 8px;
 }

 td {
   border-bottom: 2px solid white;
   font-family: monospace;
   padding: 5px 8px 1px 8px;
 }

 table {
   background-color: #FCF4D4;
   border-collapse: collapse;
 }

 h1 {
   color: #2D0200;
   font-size: 14pt;
 }

 h2 {
   color: #2D0200;
   font-size: 12pt;
 }

 span.high-confidence {
   font-weight:bold;
   color: red;
 }

 span.med-confidence {
 }

 span.weak-confidence {
   color:gray;
 }

 div.warning_message {
   cursor: pointer;
 }

 div.warning_message:hover {
   background-color: white;
 }

 table caption {
   background-color: #FFE;
   padding: 2px;
 }

 table.context {
   margin-top: 5px;
   margin-bottom: 5px;
   border-left: 1px solid #90e960;
   color: #212121;
 }

 tr.context {
   background-color: white;
 }

 tr.first {
   border-top: 1px solid #7ecc54;
   padding-top: 2px;
 }

 tr.error {
  background-color: #f4c1c1 !important
 }

 tr.near_error {
  background-color: #f4d4d4 !important
 }

 tr.alt {
   background-color: #e8f4d4;
 }

 td.context {
   padding: 2px 10px 0px 6px;
   border-bottom: none;
 }

 td.context_line {
   padding: 2px 8px 0px 7px;
   border-right: 1px solid #b3bda4;
   border-bottom: none;
   color: #6e7465;
 }

 pre.context {
   margin-bottom: 1px;
 }

 .user_input {
   background-color: #fcecab;
 }

 div.render_path {
   display: none;
   background-color: #ffe;
   padding: 5px;
   margin: 2px 0px 2px 0px;
 }

 div.template_name {
   cursor: pointer;
 }

 div.template_name:hover {
   background-color: white;
 }

 span.code {
   font-family: monospace;
 }

 span.filename {
   font-family: monospace;
 }

  </style>
</head>
<body>

<h1>Brakeman Report</h1>
<table>
  <thead>
    <tr>
      <th>Application Path</th>
      <th>Rails Version</th>
      <th>Brakeman Version</th>
      <th>Report Time</th>
      <th>Checks Performed</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>/app</td>
      <td>5.2.3</td>
      <td>4.6.1
      <td>
        2019-08-25 13:50:00 +0000<br><br>
        0.150196798 seconds
      </td>
      <td>BasicAuth, BasicAuthTimingAttack, ContentTag, CookieSerialization, CreateWith, CrossSiteScripting, DefaultRoutes, Deserialize, DetailedExceptions, DigestDoS, DynamicFinders, EscapeFunction, Evaluation, Execute, FileAccess, FileDisclosure, FilterSkipping, ForgerySetting, HeaderDoS, I18nXSS, JRubyXML, JSONEncoding, JSONParsing, LinkTo, LinkToHref, MailTo, MassAssignment, MimeTypeDoS, ModelAttrAccessible, ModelAttributes, ModelSerialize, NestedAttributes, NestedAttributesBypass, NumberToCurrency, PermitAttributes, QuoteTableName, Redirect, RegexDoS, Render, RenderDoS, RenderInline, ResponseSplitting, RouteDoS, SQL, SQLCVEs, SSLVerify, SafeBufferManipulation, SanitizeMethods, SelectTag, SelectVulnerability, Send, SendFile, SessionManipulation, SessionSettings, SimpleFormat, SingleQuotes, SkipBeforeFilter, SprocketsPathTraversal, StripTags, SymbolDoSCVE, TranslateBug, UnsafeReflection, ValidationRegex, WithoutProtection, XMLDoS, YAMLParsing</td>
    </tr>
  </tbody>
</table>
<br>
<h2 id='summary'>Summary</h2>
<table>
  <thead>
    <tr>
      <th>Scanned/Reported</th>
      <th>Total</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>Controllers</td>
      <td>3</td>
    </tr>
    <tr>
      <td>Models</td>
      <td>3</td>
    </tr>
    <tr>
      <td>Templates</td>
      <td>15</td>
    </tr>
    <tr>
      <td>Errors</td>
      <td>0</td>
    </tr>
    <tr>
      <td>Security Warnings</td>
      <td>0 <span class='high-confidence'>(0)</span></td>
    </tr>
  
    <tr>
      <td>Ignored Warnings</td>
      <td>0</td>
    </tr>
  
  </tbody>
</table>




